<template>
  <div class="divGrid">
          <vue-headful
            title="HackaClients | Login"
            description="Descripción página Login"
        />
        

    <!-- header -->
    <section class="sect-header">
      <div class="item head_title">
          <div>
             <h1>toc! toc!... ¿quién es?</h1>
             <hr class="head-hr">
             <p class="slogan">Selecciona como deseas loguearte, eres un Paciente o  un Doctor?</p>
          </div>

          <div class="clase-temporal-login">
              <div>

                <ul>
                    <li  class="selectionPatientDoctor">
                        <div>
                            <p class="user-type">
                                Paciente:
                            </p>
                            <label>
                                <input type="checkbox" v-model="patient" class="ios-switch green  bigswitch" />
                                <div><div></div></div>
                            </label>
                        </div>
                    </li>
                    <li  class="selectionPatientDoctor">

                        <div>
                            <p class="user-type">
                                Doctor: 
                            </p>
                            <label>
                                    <input type="checkbox" v-model="doctor" class="ios-switch bigswitch" />
                                    <div><div></div></div>
                            </label>
                        </div>
                    </li>
                </ul> 
            </div>
            
            <div v-if="(patient && doctor) == true" class="warning-msg">
                <i class="fa fa-warning"></i>
                Ups!!! elige una sola opción 
            </div>
            
            <div v-if="patient != doctor">
            
                <hr>

                <h3>Te vas a loguear como <span  v-if="patient == true" class="color-prime">Paciente</span><span  v-if="doctor == true" class="color-prime">Doctor</span>
                </h3>
                <ul>
                    <li>
                        <label class="login-user">Usuario: </label>
                        <input type="email" v-model="email" placeholder="Escribe tu email">
                    </li>
                    <li>
                        <label>Contraseña: </label>
                        <input  type="password" v-model="password" placeholder="y tu password">
                    </li>
                </ul>
                        
                <div v-if="error.error.length >0" class="warning-msg">
                    <i class="fa fa-warning"></i>
                    {{error.error}}
                </div>

                <br><br>
                <!-- botones login -->
                <div class="buttons-login">
                     <a href="#/register" target="_self" class="link-register-login">Todavía no estoy registrado</a>
                    <button @click="loginUser()" class="button-prime align-buttonlogin">
                        Entrar
                    </button>
                </div>
            </div>
          </div>
      </div>

<!-- imagen de la cabecera -->
      <div class="item head_img">
          <img src="../assets/images/header-woman01.png" class="head_img-size">
      </div>
    </section>
      
  </div>
</template>

<script>
// importamos función de login
import { login } from '../../../backend/utils/utils'
import { getAuthToken } from '../../../backend/utils/utils'
import Swal from 'sweetalert2';

export default {
    name:'Login',
    //inicio data
    data(){
        return{
            email: '',
            password: '',

            patient: false, // iniciamos el input como false
            doctor: false, // iniciamos el input como false
            role:'',

            error: {
                error: '',
                errorNoData: 'Necesitas cubrir los campos con tus datos'
            }
        }
    },
    //fin data
    // inicio methods
    methods: {
        loginUser(){
            // si el input de paciente es verdadro el role es normal (paciente) 
            // y si el input de doctor es true role = doctor
            if( this.patient == true ){
                this.role = 'normal'
            }
            if( this.doctor == true ) {
                this.role = 'doctor'
            }
            
            if(this.email === '' || this.password === '' || this.role === '') {
                this.error.error = this.error.errorNoData
            }else {
                // llamamos a la función login que he importado
                login(this.email, this.password, this.role)
                
                .then(()=>{
                    // avisamos al padre de evento satisfactorio
                    this.$emit('login')
                    this.$router.push('/') 
                })
                
            }
            
           
        }
    },
    //fin methods
   


}
</script>

<style scoped>

/* generales */

h1 {
  padding-bottom: 1rem;
}



/* hr {
    border: 1px solid var(--color-general-salmon);
} */
/* container */
.sect-header {
  height: 90vh;
  display: flex;
  align-items: center;  
  padding: 0 5rem;
  height: auto;
  overflow: hidden;
}

.sect-header > .item {
  flex: 1;

}
.head_title {
  /* padding-top: 2.5rem; */
  /* background-color: aqua; */
  /* padding: 1rem; */
  padding-right: 100px;
}
.head_img {
  /* background-color: bisque; */
  display: flex;
  align-items: center;
  padding: 1rem;
}
.head_img-size {
  max-width: 425px;
  min-width: 40%;
}
.login-user{
    margin-right: 22px;
}
.selectionPatientDoctor {
    display: flex;
    align-items: center;
}

.ico-typeuser {
    width: 3rem;
    margin-right: 1.5rem;

}

.user-type {
    font-size: 1rem;
    font-weight:400;

}

.clase-temporal-login {
    padding-top: 3rem;
}

.buttons-login {
    display: flex;
}

.link-register-login {
    margin-right:initial;

}

.align-buttonlogin {
   margin-left: auto;
   margin-bottom: 100px;

}

 @media (max-width: 720px) {
  .sect-header {
    display: flex;
    flex-direction:column-reverse;
    height: 140vh;
    padding: 0;
}
.head_title {
  padding-right: 5rem;
  padding-left: 5rem;
  padding-bottom: 5rem;
}
.head_img {
  padding: 0;
}

.head_img-size {
  max-width: 50%;
  min-width: 40%;
  padding-right: 5rem;
  padding-left: 5rem;
}
 
    }

/* fin max-whidth 720 */


 @media (max-width: 450px) {
 
   h1{
     padding-top: 3rem;
    font-size: var(--font-size-2) ;
   }
  .slogan {
    font-size: var(--font-size-0875);
  }
   .sect-header {
     height: auto;
   }
 }









    
    




/* inicio switch */
    input[type="checkbox"] { 
	position: absolute;
	opacity: 0;

}

/* Normal Track */
input[type="checkbox"].ios-switch + div {
	vertical-align: middle;
	width: 40px;	
    height: 20px;
	/* border: 1px solid rgba(0,0,0, 0.1); */
	border-radius: 999px;
	background-color: rgba(0, 0, 0, 0.1);
	-webkit-transition-duration: .4s;
	-webkit-transition-property: background-color, box-shadow;
	box-shadow: inset 0 0 0 0px rgba(0,0,0,0.1);
	margin: 10px 1.2em 25px 0em;
}

/* Checked Track (Blue) */
input[type="checkbox"].ios-switch:checked + div {
	width: 40px;
	background-position: 0 0;
	background-color: var(--color-general-salmon);
	border: 1px solid var( --color-general-salmon);
}

/* Tiny Track */
input[type="checkbox"].tinyswitch.ios-switch + div {
	width: 34px;	height: 18px;
}

/* Big Track */
input[type="checkbox"].bigswitch.ios-switch + div {
	width: 50px;	height: 25px;
}

/* Green Track */
input[type="checkbox"].green.ios-switch:checked + div {
	background-color: var(--color-general-salmon);
	border: 1px solid var( --color-general-salmon);
}

/* Normal Knob */
input[type="checkbox"].ios-switch + div > div {
	float: left;
	width: 18px; height: 18px;
	border-radius: inherit;
	background: #ffffff;
	-webkit-transition-timing-function: cubic-bezier(.54,1.85,.5,1);
	-webkit-transition-duration: 0.4s;
	-webkit-transition-property: transform, background-color, box-shadow;
	-moz-transition-timing-function: cubic-bezier(.54,1.85,.5,1);
	-moz-transition-duration: 0.4s;
	-moz-transition-property: transform, background-color;
	/* box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3), 0px 0px 0 1px rgba(0, 0, 0, 0.4); */
	pointer-events: none;
	margin-top: 1px;
	margin-left: 1px;

}

/* Checked Knob (Blue Style) */
input[type="checkbox"].ios-switch:checked + div > div {
	-webkit-transform: translate3d(20px, 0, 0);
	-moz-transform: translate3d(20px, 0, 0);
	background-color: #ffffff;
	box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3), 0px 0px 0 1px var(--color-general-salmon);
}

/* Tiny Knob */
input[type="checkbox"].tinyswitch.ios-switch + div > div {
	width: 16px; height: 16px;
	margin-top: 1px;
}

/* Checked Tiny Knob (Blue Style) */
input[type="checkbox"].tinyswitch.ios-switch:checked + div > div {
	-webkit-transform: translate3d(16px, 0, 0);
	-moz-transform: translate3d(16px, 0, 0);
	box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3), 0px 0px 0 1px var(--color-general-salmon);

}

/* Big Knob */
input[type="checkbox"].bigswitch.ios-switch + div > div {
	width: 23px; height: 23px;
	margin-top: 1px;
}

/* Checked Big Knob (Blue Style) */
input[type="checkbox"].bigswitch.ios-switch:checked + div > div {
	-webkit-transform: translate3d(25px, 0, 0);
	-moz-transform: translate3d(16px, 0, 0);

	box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3), 0px 0px 0 1px var(--color-general-salmon);
}

/* Green Knob */
input[type="checkbox"].green.ios-switch:checked + div > div {

	box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3), 0 0 0 1px var(--color-general-salmon);
}

/* fin switch */


</style>